April 18, 2014

 
 
 Browser Problem  

We have detected that you are using a browser that may be incompatible with DocStore 4.0. DocStore no longer supports 4.0x and older browsers.

Please contact your company's System Administrator to upgrade to a compatible browser. If permitted by your company policies, you may use the links below to upgrade to a compatible browser.

Get Internet Explorer 6

Or visit the Internet Explorer Website
Get Netscape 7.1

Or visit the Netscape Website
Continue without Upgrading
 



For assistance please call 1.800.GoFedEx or email fedexoffice.customerrelations@fedex.com
Privacy Policy | Terms of Use | Copyright ©2001-2014 FedEx Office. All rights reserved.